Convert syntax highlighting into a Beta feature
Closed, ResolvedPublic2 Story Points

Description

Let's convert CodeMirror's syntax highlighting into a beta feature.

Title: Syntax highlighting
Information link: https://meta.wikimedia.org/wiki/Community_Tech/Wikitext_editor_syntax_highlighting
Discussion link: https://meta.wikimedia.org/wiki/Talk:Community_Tech/Wikitext_editor_syntax_highlighting
Illustration: tbd T165541: Illustration for Syntax Highlighting beta feature

Description:
Syntax highlighting makes editing easier by using color and shade to visually separate article text from the code for links, references and templates.

DannyH created this task.May 16 2017, 10:10 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 16 2017, 10:10 PM
kaldari set the point value for this task to 2.May 16 2017, 11:14 PM
DannyH triaged this task as Normal priority.May 16 2017, 11:24 PM

Is this task for writing the code that makes the extension a beta feature or for making the deployment patches?

kaldari renamed this task from Deploy syntax highlighting to Beta features to Convert syntax highlighting into a Beta feature.May 26 2017, 8:25 PM
kaldari updated the task description. (Show Details)
kaldari edited projects, added Community-Tech-Sprint; removed Community-Tech.
Niharika claimed this task.Jun 2 2017, 10:44 AM
Niharika moved this task from Ready to In Development on the Community-Tech-Sprint board.

@kaldari - are we doing something like this for the NWE version too?
Assuming this ticket is only for the old wikitext editor.

This is also for the NWE version. Both editors should get the feature when you turn on the beta feature. Note that currently, enabling CodeMirror (via global config) enables syntax highlighting for both editors.

Change 358494 had a related patch set uploaded (by Niharika29; owner: Niharika29):
[mediawiki/extensions/CodeMirror@master] Add syntax highlight as a beta feature

https://gerrit.wikimedia.org/r/358494

The patch is complete except for missing illustrations which is tracked in T165541: Illustration for Syntax Highlighting beta feature.

kaldari closed this task as Resolved.

Change 358494 merged by jenkins-bot:
[mediawiki/extensions/CodeMirror@master] Add syntax highlight as a beta feature

https://gerrit.wikimedia.org/r/358494

Change 366034 had a related patch set uploaded (by Niharika29; owner: Niharika29):
[mediawiki/extensions/CodeMirror@master] Make the discussion link point to the meta page for the feature and update description string

https://gerrit.wikimedia.org/r/366034

Jdforrester-WMF reopened this task as Stalled.Jul 18 2017, 9:08 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Changing the discussion page link to go to meta is not OK for a Beta Feature. It needs to be a Flow board, which is why it was changed in the first place. In general, technical pages should always be on MW.org not meta, but that boat has sailed.

@Jdforrester-WMF : okay, I can't argue against using a Flow board. :) We'll link to the MW page.

Johan moved this task from To Triage to In current Tech/News draft on the User-notice board.
Jdforrester-WMF closed this task as Declined.Aug 4 2017, 4:11 PM

Per Danny.

Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptAug 4 2017, 4:11 PM
Jdforrester-WMF reopened this task as Stalled.Aug 4 2017, 4:12 PM

Bah, sorry, thought this was just about where to link the discussion page. Ignore me. :-)

Change 366034 abandoned by Jforrester:
Make the discussion link point to the meta page for the feature and update description string

Reason:
Per Danny on Phab.

https://gerrit.wikimedia.org/r/366034

In stalled you mean there will not be highlighting until 2019?

Thank you. I know that, @DannyH, but if it could be fixed in a week there would be no stalled, I think.

And it' resolved now.

DannyH closed this task as Resolved.Aug 23 2017, 5:09 PM

Resolved, the Beta feature is live again.